2020-08-04 17:16 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000039FSSCPgameplaypublic2004-03-21 19:22
Reporterkasperl 
Assigned ToBobboau 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000039: fighterbeam let's targets spin regardless of mass.
DescriptionWhenever I train my fighterbeam on a fighter or bomber, it always spins around
uncontrollably, regardless of the mass specified in the table.
Additional InformationReporter: pjo3@njit.edu (Peter Oliver)
Assigned To: fs2source@warpcore.org (Edward Gardner)
http://fs2source.warpcore.org/bugzilla/show_bug.cgi?id=94

from 3.5, under winxp

note from kasperl: wasn't the spinning thing connected to moment of enertia?
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000493

Bobboau (developer)

this is caused by a hack V did were the beam uses the damage of the beam rather than the mass, as this would alter origonal play, I'm not sure if I should fix it.

~0000497

Goober5000 (administrator)

Where's the hack?

~0000502

Bobboau (developer)

beam_apply_whack()

" if(wip->damage < b_whack_damage){
        whack = b_whack_small;
    } else {
        whack = b_whack_big;
    }
"

~0000522

Bobboau (developer)

ok all V beams have 100 so were going to make any beam that has 100 for mass use V's ugly hack, otherwise it will use the specifyed mass setting

~0000536

Bobboau (developer)

meh, I guess this is fixed then...
+Notes

-Issue History
Date Modified Username Field Change
2004-01-16 05:04 kasperl New Issue
2004-03-16 23:41 Bobboau Note Added: 0000493
2004-03-17 00:22 Goober5000 Note Added: 0000497
2004-03-18 03:38 Bobboau Note Added: 0000502
2004-03-21 16:58 Bobboau Note Added: 0000522
2004-03-21 19:16 Goober5000 Assigned To => Bobboau
2004-03-21 19:16 Goober5000 Status new => assigned
2004-03-21 19:22 Bobboau Status assigned => resolved
2004-03-21 19:22 Bobboau Resolution open => fixed
2004-03-21 19:22 Bobboau Note Added: 0000536
+Issue History